program
funct plus1( b : int; ) int
	var c : int;
	begin
		c = b + 1;
		return c;
	end
funct inc( var a : int; ) void
	var c : int;
	begin
		c = a;
		a = plus1( c );
	end
var i : int;
begin
	for i = 0; i < 10; inc( i ) do
		println( i );
	end
end.
